scripttable.NextLevelTrigger=function()
	TeleportToLevel("level7",1)
end


scripttable.LevelStart=function()
	ForeachNamedObject("SnakeLight",function(o) o:SetFrame(1) end)
	ForeachNamedObject("TeleporterDoor",function(o) o:Lock() end)
	StandardIntro()
end

scripttable.TeleporterDoorTrigger=function()
	ForeachNamedObject("TeleporterDoor",function(o) o:Unlock() end)
end

scripttable.SnakeTrigger=function()
	ForeachNamedObject("SnakeLight",function(o) o:SetFrame(0) end)
	ForeachNamedObject("SnakeDoor",function(o) o:Lock() end)

	local pl=player.GetPlayer()
	pl:SetStartPos(scripttable.TeleportDest[1]:GetPosition())
	
	scripttable.SnakeTrigger=function() end
	while #scripttable.Snake>0 do
		Wait(0.5)
	end

	ForeachNamedObject("SnakeLight",function(o) o:SetFrame(1) end)
	ForeachNamedObject("SnakeDoor",function(o) o:Unlock() end)
end
